tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Keelan Lightfoot <>
Subject Re: EAPI & mod_jserv
Date Mon, 31 Jul 2000 20:14:08 GMT
On Tue, 01 Aug 2000, you wrote:
> I've gotten a "warning" about that with Apache 1.3.12, but I've been running
> anyway and have not encountered any problems.  I've got a fair bit of traffic
> hitting it as well.

Using the copy of mod_jserv.c included with tomcat, I get:

Syntax error on line 224 of /usr/opt/apache/conf/httpd.conf:
Cannot load /usr/opt/apache/libexec/ into server: /usr/opt/apache/li
bexec/ undefined symbol: jserv_error_exit

I managed to fix this (gave the #include "jserv.h" an absolute path), then
it changed to

[warn] Loaded DSO modules/ uses plain Apache 1.3 API, this module
might crash under EAPI! (please recompile it with -DEAPI)

Syntax error on line 123 of /etc/httpd/conf/httpd.conf:
Cannot add module via name '': not in list of loaded modules

I am compiling the module under linux with:
apxs -i -a -c -DEAPI mod_jserv.c

I am running Apache 1.3.12.

So, my installation of Apache has EAPI support enabled, but I can't figure out
how to enable EAPI support in mod_jserv.

Thanks again,

View raw message